#

API Docs for: 1.6.0
Show: Inherited Protected Private Deprecated

# PrimitiveShader Class

Defined in: `src/pixi/renderers/webgl/shaders/PrimitiveShader.js:5`
Module: PIXI

## Constructor

### `PrimitiveShader`

(

- `gl`

)

Defined in `src/pixi/renderers/webgl/shaders/PrimitiveShader.js:5`

#### Parameters:

- `gl` WebGLContext

  the current WebGL drawing context

- Index
- Methods
- Properties

## Item Index

### Methods

- destroy
- init

### Properties

- fragmentSrc
- gl
- program - The WebGL program.
- vertexSrc

## Methods

### `destroy`

()

Defined in `src/pixi/renderers/webgl/shaders/PrimitiveShader.js:94`

Destroys the shader

### `init`

()

Defined in `src/pixi/renderers/webgl/shaders/PrimitiveShader.js:63`

Initialises the shader

## Properties

### `fragmentSrc`

Array

Defined in `src/pixi/renderers/webgl/shaders/PrimitiveShader.js:25`

### `gl`

WebGLContext

Defined in `src/pixi/renderers/webgl/shaders/PrimitiveShader.js:14`

### `program - The WebGL program.`

Any

Defined in `src/pixi/renderers/webgl/shaders/PrimitiveShader.js:20`

### `vertexSrc`

Array

Defined in `src/pixi/renderers/webgl/shaders/PrimitiveShader.js:38`